Package com.xebialabs.xlrelease.events

# Class TaskReopenOperation

java.lang.Object
com.xebialabs.xlrelease.events.TaskReopenOperation

All Implemented Interfaces:
  `XLReleaseOperation`, `Serializable`, `scala.Equals`, `scala.Product`

public class TaskReopenOperation extends Object implements XLReleaseOperation, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskReopenOperation(Task task)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskReopeningAction`
  `action()`
  `static TaskReopenOperation`
  `apply(Task task)`
  `boolean`
  `canEqual(Object x$1)`
  `TaskReopenOperation`
  `copy(Task task)`
  `Task`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `TaskReopenedEvent`
  `event()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Task`
  `task()`
  `String`
  `toString()`
  `static scala.Option<Task>`
  `unapply(TaskReopenOperation x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### TaskReopenOperation

    public TaskReopenOperation(Task task)

- ## Method Details

  - ### apply

    public static TaskReopenOperation apply(Task task)

  - ### unapply

    public static scala.Option<Task> unapply(TaskReopenOperation x$0)

  - ### task

    public Task task()

  - ### action

    public TaskReopeningAction action()
    Specified by:
      `action` in interface `XLReleaseOperation`

  - ### event

    public TaskReopenedEvent event()
    Specified by:
      `event` in interface `XLReleaseOperation`

  - ### copy

    public TaskReopenOperation copy(Task task)

  - ### copy$default$1

    public Task copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`